package emps.obiektowo;

import java.util.List;

public class P4_SredniaProgramistow {
	// Program oblicza średnią pensję osób na stanowisku Programmer
	// (jobTitle)

	public static void main(String[] args) {
		List<Employee> emps = ObslugaCSV.wczytaj("emps.csv");
		double suma = 0;
		int ile = 0;
		for(Employee emp : emps) {
			if("Programmer".equals(emp.getJobTitle())) {
				suma += emp.getSalary();
				ile++;
			}
		}

		double srednia = suma / ile;
		System.out.println("Średnia pensja programistów " + srednia);
	}

}
